import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var a = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (p, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, i) : t, o = p.length - 1, c; o >= 0; o--)
    (c = p[o]) && (e = (r ? c(t, i, e) : c(e)) || e);
  return r && e && a(t, i, e), e;
};
let s = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--directions", this.class = "c-pieIcon c-pieIcon--directions", this.name = "IconDirections";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--directions"><path d="m14.073 6.233-2.88-3.264H6.25V1.656H4.929V2.97h-3.5v8.75h3.5v2.625H6.25v-2.625h4.953l2.87-3.264a1.47 1.47 0 0 0 0-2.222m-.884 1.26-2.564 2.913H6.25V8h1.137v1.146L9.96 7.344 7.387 5.69v.997H4.93v3.72H2.75V4.28h7.875l2.476 2.844.079.079a.15.15 0 0 1 .058.208.15.15 0 0 1-.058.054z"></path></svg>`;
  }
};
n([
  l({ type: String, reflect: !0 })
], s.prototype, "size", 2);
n([
  l({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = n([
  v("icon-directions")
], s);
export {
  s as IconDirections
};
